## gradle 4.4.1

=== debian/changelog ===
gradle (4.4.1-13) unstable; urgency=medium

  * Team upload.
  * Fixed OpenJDK 17 compatibility
    - Set --illegal-access=permit when launching Gradle (Closes: #981861)
    - Backported a fix to SourcepathIgnoringInvocationHandler to run with
      Java 9+ when illegal access isn't allowed (the new default in Java 17)
    - Set the minimum source level to 7 when building Gradle
    - Disable doclint when generating the Gradle javadoc
  * Depend on libplexus-container-default-java
    instead of libplexus-container-default1.5-java
  * Standards-Version updated to 4.5.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Feb 2021 08:32:39 +0100

gradle (4.4.1-12) unstable; urgency=medium

  * Team upload.

  [ Samyak Jain ]
  * Backport changes from Gradle 4.7 and 5.0 (needed to package Kotlin).
  * Switch to debhelper level 13.

  [ Andrej Shadura ]
  * Improve Asciidoc-to-POD conversion for the manpage generation.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 20 Aug 2020 17:16:51 +0200

gradle (4.4.1-11) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Guava 29
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 28 May 2020 00:29:47 +0200

gradle (4.4.1-10) unstable; urgency=medium

  * Team upload.
  * use HTTPS URLs in packaging
  * fix CVE-2019-11065 with upstream patch (Closes: 926923)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 10 Dec 2019 10:55:15 +0100

gradle (4.4.1-9) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Improved the reproducibility of the timestamp in build-receipt.properties

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 06 Dec 2019 00:29:59 +0100

gradle (4.4.1-8) unstable; urgency=medium

  * Backported a fix improving the detection of Java 9+

 -- Saif Abdul Cassim <saif.15@cse.mrt.ac.lk>  Mon, 05 Aug 2019 09:36:52 +0200

gradle (4.4.1-7) unstable; urgency=medium

  * Team upload.

  [ Jongmin Kim ]
  * Use JRE provided xml-apis (Closes: #925586)

  [ Saif Abdul Cassim ]
  * Backported the refactored IvyArtifact classes from Gradle 4.8
    to help building Kotlin

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 27 Jun 2019 14:52:30 +0200

gradle (4.4.1-6) unstable; urgency=medium

  [ Tiago Stürmer Daitx ]
  * Fix OpenJDK 8 compatibility: (Closes: #925225)
    - debian/patches/java8-compatibility.patch: cast ByteBuffer to Buffer
      in org.gradle.internal.hash.Hashing to prevent NoSuchMethodError
      exception.
    - debian/patches/java11-compatibility.patch: copy upstream commit for
      "Use Lookup to invoke defineClass on Java 9+ (#4976)" instead using
      the previous partial backport to enable both OpenJDK 8 and 11 support.
  * debian/control: revert gradle Depends back to java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 22 Jun 2019 00:52:47 +0200

gradle (4.4.1-5) unstable; urgency=medium

  * Team upload.
  * Generate a very basic manpage in POD format.
  * Use ASM7 instead of ASM6 to better support Java 11 (Closes: #923284).
  * Bump libasm-java dependency to 7.0.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 20:02:13 +0100

gradle (4.4.1-4) unstable; urgency=medium

  * Team upload.
  * Removed the unused dependency on libtomcat8-java
  * Standards-Version updated to 4.3.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 15 Jan 2019 01:14:03 +0100

gradle (4.4.1-3) unstable; urgency=medium

  * Team upload.
  * Add build-dep on libjaxp1.3-java (addresses FTBFS)

 -- tony mancill <tmancill@debian.org>  Wed, 28 Nov 2018 20:37:55 -0800

gradle (4.4.1-2) unstable; urgency=medium

  * Improve OpenJDK 11 support by backporting additional changes from upstream
    (commit ac15612d41b43c39c).

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 06 Nov 2018 02:46:32 +0000

gradle (4.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Fixed the build failure with Java 11 (Closes: #909905)
  * Depend on Java 9+

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Oct 2018 15:53:14 +0200

gradle (4.4-3) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with asm/6.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Oct 2018 15:12:33 +0200

gradle (4.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Updated the gradle-debian-helper-hook patch for Gradle 4.4
  * Added a system property to disable the gradle-debian-helper hook
  * Declare that Gradle 4.4 breaks gradle-debian-helper (<< 2.0~)
  * Declare that libgradle-plugins-java breaks libgradle-core-java < 4.4
    (Closes: #903775)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 17 Sep 2018 11:15:05 +0200

gradle (4.4-1) experimental; urgency=medium

  * New upstream release
  * Remove 2 additional source files that are no longer needed
    * jQuery.tipTip.js -- No longer build User Guide
    * all-released-versions.js -- Included in upstream
  * Add prebuilt files:
    * api-mapping.txt default-imports.txt -- They will be built from this
      package once this version is uploaded.
    * oss-parent-debian.pom -- Bypass the error (#899005) resolving `findbugs`
  * Move `gradle-wrapper` from `libgradle-plugins-java` to
    `libgradle-core-java` to be consistent with upstream.
  * Remove obsolete patches:
    * add-test-case-for-10-internal_c1fe5e40a76b.patch
    * commons-io.patch
    * dependency-management_depends_on_testkit.patch
    * disallow-both-module-source-path-and-source-path.patch
    * Groovy_projects_depends_on_localGroovy.patch
    * jansi.patch
    * nekohtml.patch
    * new_APIs_in_3.0.patch
    * support-running-gradle-on-jdk-10-500485df3a18.patch
    * support-zulu9-version-number_d9c35cf9d74c.patch
    * upgrade-to-jetty9.patch
  * Add new patches:
    * disable-binary-compatibility.patch -- `javaparser` and `japicmp` not in
      Debian
    * gradle-4-compatibility.patch -- The build scripts uses APIs introduced

