=== debian/control ===
Source: gradle
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
Section: java
Priority: optional
Build-Depends: ant,
               bnd (>= 3.5.0),
               debhelper-compat (= 13),
               default-jdk-doc,
               default-jdk (>= 2:1.9),
               dh-exec,
               gradle (>= 3.4),
               groovy (>= 2.4.7),
               groovy-doc,
               ivy,
               javahelper,
               junit4,
               libantlr-java,
               libasm-java (>= 7.0),
               libatinject-jsr330-api-java,
               libbcpg-java,
               libbsh-java,
               libcglib-nodep-java,
               libclassycle-java,
               libcommons-cli-java,
               libcommons-collections3-java,
               libcommons-compress-java,
               libcommons-io-java,
               libcommons-lang-java (>= 2.6),
               libcommons-lang3-java,
               libdd-plist-java,
               libdom4j-java,
               libfindbugs-java,
               libgoogle-gson-java,
               libguava-java (>= 23.0),
               libguice-java,
               libhttpclient-java,
               libhttpcore-java,
               libjansi-java,
               libjarjar-java,
               libjatl-java,
               libjaxen-java,
               libjcifs-java,
               libjcip-annotations-java,
               libjgit-java,
               libjna-java,
               libjs-jquery,
               libjsch-java,
               libkryo-java,
               liblogback-java,
               libmaven-resolver-java,
               libmaven3-core-java (>= 3.5.0),
               libnative-platform-java (>= 0.14),
               libnekohtml-java,
               libobjenesis-java,
               libplexus-component-annotations-java (>= 1.7.1-6~),
               libplexus-container-default-java,
               libplexus-interpolation-java,
               libplexus-utils-java,
               libpolyglot-maven-java,
               librhino-java,
               libsimple-http-java,
               libslf4j-java,
               libspock-java (>= 0.7),
               libwagon-file-java,
               libwagon-http-java,
               libxbean-reflect-java,
               libxerces2-java,
               maven-repo-helper,
               testng
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/java-team/gradle.git
Vcs-Browser: https://salsa.debian.org/java-team/gradle
Homepage: https://gradle.org

Package: gradle
Architecture: all
Depends: default-jre-headless (>= 2:1.8) | java8-runtime-headless,
         libgradle-core-java (>= ${binary:Version}),
         libgradle-plugins-java (>= ${binary:Version}),
         ${misc:Depends}
Breaks: libgradle-core-java (<< 1.12), gradle-debian-helper (<< 2.0~)
Replaces: libgradle-core-java (<< 1.12)
Suggests: gradle-doc
Description: Powerful build system for the JVM
 Gradle is a build tool with a focus on build automation and support for
 multi-language development. If you are building, testing, publishing, and
 deploying software on any platform, Gradle offers a flexible model that can
 support the entire development lifecycle from compiling and packaging code to
 publishing web sites. Gradle has been designed to support build automation
 across multiple languages and platforms including Java, Scala, Android, C/C++,
 and Groovy, and is closely integrated with development tools and continuous
 integration servers including Eclipse, IntelliJ, and Jenkins.

Package: libgradle-core-java
Architecture: all
Depends: ant,
         groovy (>= 2.4.7),
         ivy,
         libasm-java (>= 7.0),
         libatinject-jsr330-api-java,
         libcommons-collections3-java,
         libcommons-compress-java,
         libcommons-io-java,
         libcommons-lang-java (>= 2.6),
         libguava-java (>= 23.0),
         libhttpclient-java,
         libhttpcore-java,
         libjansi-java,
         libjarjar-java,
         libjcip-annotations-java,
         libjna-java,
         libjsch-java,
         libkryo-java,
         liblogback-java,
         libnative-platform-java (>= 0.11),
         libnekohtml-java,
         libreflectasm-java,
         libslf4j-java,
         libxbean-reflect-java,
         ${misc:Depends}
Breaks: libgradle-wrapper-java,
        libgradle-plugins-java (<< 4.4-1~)
Replaces: libgradle-wrapper-java,
          libgradle-plugins-java (<< 4.4-1~)
Description: Powerful build system for the JVM - Core libraries
 Gradle is a build tool with a focus on build automation and support for
 multi-language development. If you are building, testing, publishing, and
 deploying software on any platform, Gradle offers a flexible model that can
 support the entire development lifecycle from compiling and packaging code to
 publishing web sites. Gradle has been designed to support build automation
 across multiple languages and platforms including Java, Scala, Android, C/C++,
 and Groovy, and is closely integrated with development tools and continuous
 integration servers including Eclipse, IntelliJ, and Jenkins.
 .
 This package contains the Gradle Core API library.

Package: libgradle-plugins-java
Architecture: all
Depends: ant-optional,
         bnd (>= 3.5.0),
         junit4,
         libantlr-java,
         libatinject-jsr330-api-java,
         libbcpg-java,
         libbsh-java,
         libcommons-cli-java,
         libdd-plist-java,
         libdom4j-java,
         libfindbugs-java,
         libgoogle-gson-java,
         libgradle-core-java (>= ${binary:Version}),
         libguice-java,
         libjatl-java,
         libjaxen-java,
         libjcifs-java,
         libjgit-java,
         libjs-jquery,
         libmaven-resolver-java,
         libmaven3-core-java (>= 3.5.0),
         libobjenesis-java,
         libplexus-component-annotations-java,
         libplexus-container-default-java,
         libplexus-interpolation-java,
         libplexus-utils-java,
         libpolyglot-maven-java,
         librhino-java,
         libsimple-http-java,
         libwagon-file-java,
         libwagon-http-java,
         libxerces2-java,
         testng,
         ${misc:Depends}
Breaks: libgradle-announce-java,
        libgradle-antlr-java,
        libgradle-code-quality-java,
        libgradle-ear-java,
        libgradle-ide-java,
        libgradle-javascript-java,
        libgradle-jetty-java,
        libgradle-maven-java,
        libgradle-osgi-java,
        libgradle-scala-java,
        libgradle-signing-java,
        libgradle-core-java (<< 4.4-1~)
Replaces: libgradle-announce-java,
          libgradle-antlr-java,
          libgradle-code-quality-java,
          libgradle-ear-java,
          libgradle-ide-java,
          libgradle-javascript-java,
          libgradle-jetty-java,
          libgradle-maven-java,
          libgradle-osgi-java,
          libgradle-scala-java,
          libgradle-signing-java,
          libgradle-core-java (<< 4.4-1~)
Description: Powerful build system for the JVM - All plugins
 Gradle is a build tool with a focus on build automation and support for
 multi-language development. If you are building, testing, publishing, and
 deploying software on any platform, Gradle offers a flexible model that can
 support the entire development lifecycle from compiling and packaging code to
 publishing web sites. Gradle has been designed to support build automation
 across multiple languages and platforms including Java, Scala, Android, C/C++,
 and Groovy, and is closely integrated with development tools and continuous
 integration servers including Eclipse, IntelliJ, and Jenkins.
 .
 This package contains the standard Gradle plugins except:
 .
   * Zinc compiler
   * Kotlin DSL
   * AWS S3
   * Google APIs

Package: gradle-doc
Architecture: all
Section: doc
Depends: default-jdk-doc,
         groovy-doc,
         ${misc:Depends}
Description: Powerful build system for the JVM - Documentations
 Gradle is a build tool with a focus on build automation and support for
 multi-language development. If you are building, testing, publishing, and
 deploying software on any platform, Gradle offers a flexible model that can
 support the entire development lifecycle from compiling and packaging code to
 publishing web sites. Gradle has been designed to support build automation
 across multiple languages and platforms including Java, Scala, Android, C/C++,
 and Groovy, and is closely integrated with development tools and continuous
 integration servers including Eclipse, IntelliJ, and Jenkins.
 .
 This package contains Gradle API Javadoc.
