=== debian/watch ===
version=4
opts="repack,compression=xz" \
https://services.gradle.org/distributions /distributions/@PACKAGE@-([\d\.]+)-src@ARCHIVE_EXT@
